Package javax.help.plaf.basic

# Class BasicTOCNavigatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.help.plaf.HelpNavigatorUI
javax.help.plaf.basic.BasicTOCNavigatorUI

All Implemented Interfaces:
  `ComponentListener`, `PropertyChangeListener`, `Serializable`, `EventListener`, `HelpModelListener`, `TreeSelectionListener`

public class BasicTOCNavigatorUI extends HelpNavigatorUI implements HelpModelListener, TreeSelectionListener, PropertyChangeListener, ComponentListener, Serializable
The default UI for JHelpNavigator of type TOC.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`debug`
For printf debugging.
`protected JScrollPane`
`sp`
`protected JHelpTOCNavigator`
`toc`
`protected DefaultMutableTreeNode`
`topNode`
`protected JTree`
`tree`

## Constructor Summary

Constructors
Constructor
Description
`BasicTOCNavigatorUI(JHelpTOCNavigator b)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addSubHelpSets(HelpSet hs)`
Adds subhelpsets
`void`
`componentHidden(ComponentEvent e)`
Invoked when the component has been made invisible.
`void`
`componentMoved(ComponentEvent e)`
Invoked when the component's position changes.
`void`
`componentResized(ComponentEvent e)`
Invoked when the component's size changes.
`void`
`componentShown(ComponentEvent e)`
Invoked when the component has been made visible.
`static ComponentUI`
`createUI(JComponent x)`
`protected static void`
`debug(String str)`
`void`
`doMerge(NavigatorView view)`
Merges in the navigational data from another IndexView.
`protected JHelpNavigator`
`getHelpNavigator()`
`Dimension`
`getMaximumSize(JComponent c)`
`Dimension`
`getMinimumSize(JComponent c)`
`Dimension`
`getPreferredSize(JComponent c)`
`void`
`idChanged(HelpModelEvent e)`
Processes an idChanged event.
`void`
`installUI(JComponent c)`
`void`
`merge(NavigatorView view)`
Merges in the navigational data from another TOCView.
`void`
`propertyChange(PropertyChangeEvent event)`
`void`
`remove(NavigatorView view)`
Removes the navigational data.
`protected void`
`setCellRenderer(NavigatorView view, JTree tree)`
Sets the desired cell renderer on this tree.
`void`
`uninstallUI(JComponent c)`
`void`
`valueChanged(TreeSelectionEvent e)`

### Methods inherited from class javax.help.plaf.HelpNavigatorUI

`getAddAction, getIcon, getImageIcon, setIcon`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### toc

protected JHelpTOCNavigator toc

### sp

protected JScrollPane sp

### topNode

protected DefaultMutableTreeNode topNode

### tree

protected JTree tree

### debug

protected static final boolean debug
For printf debugging.

See Also:
  - Constant Field Values

## Constructor Details

### BasicTOCNavigatorUI

public BasicTOCNavigatorUI(JHelpTOCNavigator b)

## Method Details

### createUI

public static ComponentUI createUI(JComponent x)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### setCellRenderer

protected void setCellRenderer(NavigatorView view, JTree tree)
Sets the desired cell renderer on this tree. This is exposed for redefinition by subclases.

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `ComponentUI`

### getMinimumSize

public Dimension getMinimumSize(JComponent c)

Overrides:
  `getMinimumSize` in class `ComponentUI`

### getMaximumSize

public Dimension getMaximumSize(JComponent c)

Overrides:
  `getMaximumSize` in class `ComponentUI`

### addSubHelpSets

protected void addSubHelpSets(HelpSet hs)
Adds subhelpsets

Parameters:
  `hs` - The HelpSet which subhelpsets will be added

### doMerge

public void doMerge(NavigatorView view)
Merges in the navigational data from another IndexView.

### merge

public void merge(NavigatorView view)
Merges in the navigational data from another TOCView.

Overrides:
  `merge` in class `HelpNavigatorUI`
Parameters:
  `view` - A TOCView. Note the actual argument is of a NavigatorView type so it replaces the correct NavigatorUI method.

### remove

public void remove(NavigatorView view)
Removes the navigational data.

Overrides:
  `remove` in class `HelpNavigatorUI`
Parameters:
  `view` - A TOCView. Note the actual argument is of a NavigatorView type so it replaces the correct NavigatorUI method.

### idChanged

public void idChanged(HelpModelEvent e)
Processes an idChanged event.

Specified by:
  `idChanged` in interface `HelpModelListener`
Parameters:
  `e` - The event

### getHelpNavigator

protected JHelpNavigator getHelpNavigator()

### valueChanged

public void valueChanged(TreeSelectionEvent e)

Specified by:
  `valueChanged` in interface `TreeSelectionListener`

### propertyChange

public void propertyChange(PropertyChangeEvent event)

Specified by:
  `propertyChange` in interface `PropertyChangeListener`

### componentResized

public void componentResized(ComponentEvent e)
Invoked when the component's size changes.

Specified by:
  `componentResized` in interface `ComponentListener`

### componentMoved

public void componentMoved(ComponentEvent e)
Invoked when the component's position changes.

Specified by:
  `componentMoved` in interface `ComponentListener`

### componentShown

public void componentShown(ComponentEvent e)
Invoked when the component has been made visible.

Specified by:
  `componentShown` in interface `ComponentListener`

### componentHidden

public void componentHidden(ComponentEvent e)
Invoked when the component has been made invisible.

Specified by:
  `componentHidden` in interface `ComponentListener`

### debug

protected static void debug(String str)